#TDD-ing an ATM Machine Concept

* Withdraw single Bill
* Withdraw multiple Amount of same Bill
* Withdraw multiple Amount of different Bill
* Introduce Availability Concept
    * every bill has a certain available amount
